### Function

# SpiceClientGLib UsbDeviceManager get

#### Declaration [src]

    SpiceUsbDeviceManager*
    spice_usb_device_manager_get (
      SpiceSession* session,
      GError** error
    )

#### Description [src]

Gets the `SpiceUsbDeviceManager` associated with the passed in `SpiceSession`. A new `SpiceUsbDeviceManager` instance will be created the first time this function is called for a certain `SpiceSession`.

Note that this function returns a weak reference, which should not be used after the `SpiceSession` itself has been unref-ed by the caller.

#### Parameters

`session`

  Type: `SpiceSession`

  `SpiceSession` for which to get the `SpiceUsbDeviceManager`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SpiceUsbDeviceManager`

A weak reference to the `SpiceUsbDeviceManager` associated with the passed in `SpiceSession`.

The data is owned by the called function.